Bug 121857 - Unable to start up with Adaptec 19160.
Unable to start up with Adaptec 19160.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-28 14:15 EDT by Ivo Sarak
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-16 09:56:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivo Sarak 2004-04-28 14:15:52 EDT
Description of problem:
If I try to start FC2 test3 on machine with Adaptec 19160 U160
controller, the system will stop after "Enabling Swap Space".

Version-Release number of selected component (if applicable):
This is vanilla FC2 Test3, no updates.

How reproducible:
Always.

Steps to Reproduce:
1. Install FC2 Test3 on machine with Adaptec 19160 U160 controller;
2. Reboot the box after install;
  
Actual results:
System will stop after the message "Enabling Swap Space".

Expected results:
No stoppage.

Additional info:
The bootup itself is from IDE HDD.
If I took this IDE HDD to a system without this controller, it was
able to boot up.
Comment 1 Ivo Sarak 2004-04-28 15:47:27 EDT
lspci on this machine under FC1:

00:00.0 Host bridge: VIA Technologies, Inc. VT8385 [K8T800 AGP] Host
Bridge (rev 01)
00:01.0 PCI bridge: VIA Technologies, Inc. VT8237 PCI bridge [K8T800
South]
00:08.0 Ethernet controller: 3Com Corporation 3c940 1000Base? (rev 12)
00:0a.0 SCSI storage controller: Adaptec AIC-7892B U160/m (rev 02)
00:0b.0 Ethernet controller: 3Com Corporation 3c905C-TX/TX-M [Tornado]
(rev 78)
00:0d.0 Multimedia audio controller: Creative Labs SB Audigy (rev 03)
00:0d.1 Input device controller: Creative Labs SB Audigy MIDI/Game
port (rev 03)
00:0d.2 FireWire (IEEE 1394): Creative Labs SB Audigy FireWire Port
00:0e.0 RAID bus controller: CMD Technology Inc: Unknown device 3114
(rev 02)
00:0f.0 IDE interface: VIA Technologies, Inc.
VT82C586A/B/VT82C686/A/B/VT823x/A/C/VT8235 PIPC Bus Master IDE (rev 06)
00:10.0 USB Controller: VIA Technologies, Inc. VT6202 [USB 2.0
controller] (rev 81)
00:10.1 USB Controller: VIA Technologies, Inc. VT6202 [USB 2.0
controller] (rev 81)
00:11.0 ISA bridge: VIA Technologies, Inc. VT8237 ISA bridge [K8T800
South]
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 NorthBridge
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 NorthBridge
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 NorthBridge
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 NorthBridge
01:00.0 VGA compatible controller: ATI Technologies Inc Rage 128
PF/PRO AGP 4x TMDS
Comment 2 Ivo Sarak 2004-04-28 15:48:48 EDT
dmidecode on this machine under FC1:

# dmidecode 2.2
SMBIOS 2.2 present.
40 structures occupying 1084 bytes.
Table at 0x000F0000.
Handle 0x0000
        DMI type 0, 19 bytes.
        BIOS Information
                Vendor: Phoenix Technologies, LTD
                Version: 6.00 PG
                Release Date: 12/02/2003
                Address: 0xE0000
                Runtime Size: 128 kB
                ROM Size: 512 kB
                Characteristics:
                        ISA is supported
                        PCI is supported
                        PNP is supported
                        APM is supported
                        BIOS is upgradeable
                        BIOS shadowing is allowed
                        Boot from CD is supported
                        Selectable boot is supported
                        BIOS ROM is socketed
                        EDD is supported
                        5.25"/360 KB floppy services are supported
(int 13h)
                        5.25"/1.2 MB floppy services are supported
(int 13h)
                        3.5"/720 KB floppy services are supported (int
13h)
                        3.5"/2.88 MB floppy services are supported
(int 13h)
                        Print screen service is supported (int 5h)
                        8042 keyboard services are supported (int 9h)
                        Serial services are supported (int 14h)
                        Printer services are supported (int 17h)
                        CGA/mono video services are supported (int 10h)
                        ACPI is supported
                        USB legacy is supported
                        AGP is supported
                        LS-120 boot is supported
                        ATAPI Zip drive boot is supported
Handle 0x0001
        DMI type 1, 25 bytes.
        System Information
                Manufacturer:
                Product Name:
                Version:
                Serial Number:
                UUID: Not Present
                Wake-up Type: Power Switch
Handle 0x0002
        DMI type 177, 69 bytes.
        OEM-specific Type
                Header And Data:
                        B1 45 02 00 00 04 61 52 F4 81 01 00 02 01 06 11
                        65 30 06 11 1F 10 00 00 00 00 03 08 09 0E 03 00
                        40 02 73 31 00 00 00 00 00 00 00 00 00 00 00 00
                        00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
                        00 00 00 00 01
                Strings:
                        VIA3177-MAC
Handle 0x0003
        DMI type 2, 8 bytes.
        Base Board Information
                Manufacturer:
                Product Name: K8T800-8237
                Version:
                Serial Number:
Handle 0x0004
        DMI type 3, 13 bytes.
        Chassis Information
                Manufacturer:
                Type: Desktop
                Lock: Not Present
                Version:
                Serial Number:
                Asset Tag:
                Boot-up State: Unknown
                Power Supply State: Unknown
                Thermal State: Unknown
                Security Status: Unknown
Handle 0x0005
        DMI type 4, 32 bytes.
        Processor Information
                Socket Designation: Socket A
                Type: Central Processor
                Family: Duron
                Manufacturer: AMD
                ID: 48 0F 00 00 FF FB 8B 07
                Signature: Type 0, Family F, Model 4, Stepping 8
                Flags:
                        FPU (Floating-point unit on-chip)
                        VME (Virtual mode extension)
                        DE (Debugging extension)
                        PSE (Page size extension)
                        TSC (Time stamp counter)
                        MSR (Model specific registers)
                        PAE (Physical address extension)
                        MCE (Machine check exception)
                        CX8 (CMPXCHG8 instruction supported)
                        APIC (On-chip APIC hardware supported)
                        SEP (Fast system call)
                        MTRR (Memory type range registers)
                        PGE (Page global enable)
                        MCA (Machine check architecture)
                        CMOV (Conditional move instruction supported)
                        PAT (Page attribute table)
                        PSE-36 (36-bit page size extension)
                        CLFSH (CLFLUSH instruction supported)
                        MMX (MMX technology supported)
                        FXSR (Fast floating-point save and restore)
                        SSE (Streaming SIMD extensions)
                        SSE2 (Streaming SIMD extensions 2)
                Version: AMD Athlon(tm) 64 Processor 3000+
                Voltage: 1.5 V
                External Clock: 202 MHz
                Max Speed: 1500 MHz
                Current Speed: 2020 MHz
                Status: Populated, Enabled
                Upgrade: ZIF Socket
                L1 Cache Handle: 0x000B
                L2 Cache Handle: 0x000C
                L3 Cache Handle: No L3 Cache
Handle 0x0006
        DMI type 5, 24 bytes.
        Memory Controller Information
                Error Detecting Method: 64-bit ECC
                Error Correcting Capabilities:
                        None
                Supported Interleave: One-way Interleave
                Current Interleave: One-way Interleave
                Maximum Memory Module Size: 32 MB
                Maximum Total Memory Size: 128 MB
                Supported Speeds:
                        70 ns
                        60 ns
                Supported Memory Types:
                        Standard
                        EDO
                Memory Module Voltage: 5.0 V
                Associated Memory Slots: 4
                        0x0007
                        0x0008
                        0x0009
                        0x000A
                Enabled Error Correcting Capabilities: None
Handle 0x0007
        DMI type 6, 12 bytes.
        Memory Module Information
                Socket Designation: A0
                Bank Connections: 0 1
                Current Speed: 10 ns
                Type: Other
                Installed Size: 512 MB (Double-bank Connection)
                Enabled Size: 512 MB (Double-bank Connection)
                Error Status: OK
Handle 0x0008
        DMI type 6, 12 bytes.
        Memory Module Information
                Socket Designation: A1
                Bank Connections: None
                Current Speed: 10 ns
                Type: Other
                Installed Size: Not Installed (Single-bank Connection)
                Enabled Size: Not Installed (Single-bank Connection)
                Error Status: OK
Handle 0x0009
        DMI type 6, 12 bytes.
        Memory Module Information
                Socket Designation: A2
                Bank Connections: None
                Current Speed: 10 ns
                Type: Other
                Installed Size: Not Installed (Single-bank Connection)
                Enabled Size: Not Installed (Single-bank Connection)
                Error Status: OK
Handle 0x000A
        DMI type 6, 12 bytes.
        Memory Module Information
                Socket Designation: A3
                Bank Connections: None
                Current Speed: 10 ns
                Type: Other
                Installed Size: Not Installed (Single-bank Connection)
                Enabled Size: Not Installed (Single-bank Connection)
                Error Status: OK
Handle 0x000B
        DMI type 7, 19 bytes.
        Cache Information
                Socket Designation: Internal Cache
                Configuration: Enabled, Not Socketed, Level 1
                Operational Mode: Write Back
                Location: Internal
                Installed Size: 128 KB
                Maximum Size: 128 KB
                Supported SRAM Types:
                        Synchronous
                Installed SRAM Type: Synchronous
                Speed: Unknown
                Error Correction Type: Unknown
                System Type: Unknown
                Associativity: Unknown
Handle 0x000C
        DMI type 7, 19 bytes.
        Cache Information
                Socket Designation: External Cache
                Configuration: Enabled, Not Socketed, Level 2
                Operational Mode: Write Back
                Location: Internal
                Installed Size: 512 KB
                Maximum Size: 512 KB
                Supported SRAM Types:
                        Synchronous
                Installed SRAM Type: Synchronous
                Speed: Unknown
                Error Correction Type: Unknown
                System Type: Unknown
                Associativity: Unknown
Handle 0x000D
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: PRIMARY IDE
                Internal Connector Type: On Board IDE
                External Reference Designator: Not Specified
                External Connector Type: None
                Port Type: Other
Handle 0x000E
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: SECONDARY IDE
                Internal Connector Type: On Board IDE
                External Reference Designator: Not Specified
                External Connector Type: None
                Port Type: Other
Handle 0x000F
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: FDD
                Internal Connector Type: On Board Floppy
                External Reference Designator: Not Specified
                External Connector Type: None
                Port Type: 8251 FIFO Compatible
Handle 0x0010
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: COM1
                Internal Connector Type: 9 Pin Dual Inline (pin 10 cut)
                External Reference Designator:
                External Connector Type: DB-9 male
                Port Type: Serial Port 16450 Compatible
Handle 0x0011
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: COM2
                Internal Connector Type: 9 Pin Dual Inline (pin 10 cut)
                External Reference Designator:
                External Connector Type: DB-9 male
                Port Type: Serial Port 16450 Compatible
Handle 0x0012
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: LPT1
                Internal Connector Type: DB-25 female
                External Reference Designator:
                External Connector Type: DB-25 female
                Port Type: Parallel Port ECP/EPP
Handle 0x0013
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: Keyboard
                Internal Connector Type: PS/2
                External Reference Designator:
                External Connector Type: PS/2
                Port Type: Keyboard Port
Handle 0x0014
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: PS/2 Mouse
                Internal Connector Type: PS/2
                External Reference Designator:
                External Connector Type: PS/2
                Port Type: Mouse Port
Handle 0x0015
        DMI type 8, 9 bytes.
        Port Connector Information
                Internal Reference Designator: Not Specified
                Internal Connector Type: None
                External Reference Designator: USB0
                External Connector Type: Other
                Port Type: USB
Handle 0x0016
        DMI type 9, 13 bytes.
        System Slot Information
                Designation: PCI0
                Type: 32-bit PCI
                Current Usage: In Use
                Length: Long
                ID: 1
                Characteristics:
                        5.0 V is provided
                        PME signal is supported
Handle 0x0017
        DMI type 9, 13 bytes.
        System Slot Information
                Designation: PCI1
                Type: 32-bit PCI
                Current Usage: Available
                Length: Long
                ID: 2
                Characteristics:
                        5.0 V is provided
                        PME signal is supported
Handle 0x0018
        DMI type 9, 13 bytes.
        System Slot Information
                Designation: PCI2
                Type: 32-bit PCI
                Current Usage: In Use
                Length: Long
                ID: 3
                Characteristics:
                        5.0 V is provided
                        PME signal is supported
Handle 0x0019
        DMI type 9, 13 bytes.
        System Slot Information
                Designation: PCI3
                Type: 32-bit PCI
                Current Usage: In Use
                Length: Long
                ID: 4
                Characteristics:
                        5.0 V is provided
                        PME signal is supported
Handle 0x001A
        DMI type 9, 13 bytes.
        System Slot Information
                Designation: AGP
                Type: 32-bit AGP
                Current Usage: Available
                Length: Long
                ID: 8
                Characteristics:
                        5.0 V is provided
Handle 0x001B
        DMI type 13, 22 bytes.
        BIOS Language Information
                Installable Languages: 3
                        n|US|iso8859-1
                        n|US|iso8859-1
                        r|CA|iso8859-1
                Currently Installed Language: n|US|iso8859-1
Handle 0x001C
        DMI type 16, 15 bytes.
        Physical Memory Array
                Location: System Board Or Motherboard
                Use: System Memory
                Error Correction Type: None
                Maximum Capacity: 2 GB
                Error Information Handle: Not Provided
                Number Of Devices: 4
Handle 0x001D
        DMI type 17, 21 bytes.
        Memory Device
                Array Handle: 0x001C
                Error Information Handle: Not Provided
                Total Width: Unknown
                Data Width: Unknown
                Size: 512 MB
                Form Factor: DIMM
                Set: None
                Locator: A0
                Bank Locator: Bank0/1
                Type: Unknown
                Type Detail: None
Handle 0x001E
        DMI type 17, 21 bytes.
        Memory Device
                Array Handle: 0x001C
                Error Information Handle: Not Provided
                Total Width: Unknown
                Data Width: Unknown
                Size: No Module Installed
                Form Factor: DIMM
                Set: None
                Locator: A1
                Bank Locator: Bank2/3
                Type: Unknown
                Type Detail: None
Handle 0x001F
        DMI type 17, 21 bytes.
        Memory Device
                Array Handle: 0x001C
                Error Information Handle: Not Provided
                Total Width: Unknown
                Data Width: Unknown
                Size: No Module Installed
                Form Factor: DIMM
                Set: None
                Locator: A2
                Bank Locator: Bank4/5
                Type: Unknown
                Type Detail: None
Handle 0x0020
        DMI type 17, 21 bytes.
        Memory Device
                Array Handle: 0x001C
                Error Information Handle: Not Provided
                Total Width: Unknown
                Data Width: Unknown
                Size: No Module Installed
                Form Factor: DIMM
                Set: None
                Locator: A3
                Bank Locator: Bank6/7
                Type: Unknown
                Type Detail: None
Handle 0x0021
        DMI type 19, 15 bytes.
        Memory Array Mapped Address
                Starting Address: 0x00000000000
                Ending Address: 0x0001FFFFFFF
                Range Size: 512 MB
                Physical Array Handle: 0x001C
                Partition Width: 0
Handle 0x0022
        DMI type 20, 19 bytes.
        Memory Device Mapped Address
                Starting Address: 0x00000000000
                Ending Address: 0x0001FFFFFFF
                Range Size: 512 MB
                Physical Device Handle: 0x001D
                Memory Array Mapped Address Handle: 0x0021
                Partition Row Position: 1
Handle 0x0023
        DMI type 20, 19 bytes.
        Memory Device Mapped Address
                Starting Address: 0x00000000000
                Ending Address: 0x000000003FF
                Range Size: 1 kB
                Physical Device Handle: 0x001E
                Memory Array Mapped Address Handle: 0x0021
                Partition Row Position: 1
Handle 0x0024
        DMI type 20, 19 bytes.
        Memory Device Mapped Address
                Starting Address: 0x00000000000
                Ending Address: 0x000000003FF
                Range Size: 1 kB
                Physical Device Handle: 0x001F
                Memory Array Mapped Address Handle: 0x0021
                Partition Row Position: 1
Handle 0x0025
        DMI type 20, 19 bytes.
        Memory Device Mapped Address
                Starting Address: 0x00000000000
                Ending Address: 0x000000003FF
                Range Size: 1 kB
                Physical Device Handle: 0x0020
                Memory Array Mapped Address Handle: 0x0021
                Partition Row Position: 1
Handle 0x0026
        DMI type 32, 11 bytes.
        System Boot Information
                Status: No errors detected
Handle 0x0027
        DMI type 127, 4 bytes.
        End Of Table

Comment 3 Ivo Sarak 2004-04-29 07:24:49 EDT
As I had another box to test with and I found its problems related to
USB ( https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=121859 )
then I disabled USB also on this box and it is booting up just fine.

Comment 4 Ivo Sarak 2004-06-16 09:30:58 EDT
With kernel-2.6.6-1.427 I have enabled USB and the system is working
again.

Note You need to log in before you can comment on or make changes to this bug.